<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:c="http://xmlns.jcp.org/jsp/jstl/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

<h:head>
    <f:metadata>
        <f:viewAction action="#{catalogController.initData()}" onPostback="#{catalogController.initData()}"/>
    </f:metadata>
</h:head>
<h:body>
    <ui:composition template = "/WEB-INF/faces/template.xhtml">
    <ui:define name="title">#{text['face.product.list.title']}</ui:define>

		<ui:define name="content">
			<div class="tableWrapper">
				<table class="product_list">
					<thead>
						<tr>
							<td>#{text['entity.catalogItem.sku']}</td>
							<td>#{text['entity.catalogItem.name']}</td>
							<td>#{text['entity.catalogItem.manufacturer']}</td>
						</tr>
					</thead>
					<tbody>
						<c:forEach var="item" items="#{catalogController.getItems()}">
		                    <tr>
		                        <td>${item.sku}</td>
		                        <td>${item.name}</td>
		                        <td>${item.manufacturer}</td>
		                    </tr>
		                </c:forEach>
					</tbody>
				</table>
			</div>
		</ui:define>
    </ui:composition>
</h:body>
</html>
